## CORBA Interface IServerAdministration

The ServerAdministration interface contains administrative methods that are used to control the actions of the server.

### Definition

CORBA Module SASIOMCommon

### IServerAdministration Description

The ServerAdministration interface contains administrative methods that are used to control the actions of the server.

CORBA Definitions
exception iomServerNotRunning |
exception iomServerNotPaused |
exception iomServerNotStoppable |
method ListClients | Return a list of the clients currently connected to this server.
method ResetPerformanceCounters | Reset the accumulating counters to their initial values.
method StopServer | Terminate the server.
method DeferredStopServer | Terminate the server when all current client work is complete.
method PauseServer | Pause the server so that it does not accept any new work.
method ContinueServer | Resume server processing.
method CacheFlush |

Java Classes
IServerAdministrationHelper | Used to manipulate the IServerAdministration type
IServerAdministrationHolder | Used to process the IServerAdministration type as an out parameter
iomServerNotRunning |
iomServerNotRunningHelper | Used to manipulate the iomServerNotRunning type
iomServerNotRunningHolder | Used to process the iomServerNotRunning type as an out parameter
iomServerNotPaused |
iomServerNotPausedHelper | Used to manipulate the iomServerNotPaused type
iomServerNotPausedHolder | Used to process the iomServerNotPaused type as an out parameter
iomServerNotStoppable |
iomServerNotStoppableHelper | Used to manipulate the iomServerNotStoppable type
iomServerNotStoppableHolder | Used to process the iomServerNotStoppable type as an out parameter

Java Interfaces
IServerAdministration | The ServerAdministration interface contains administrative methods that are used to control the actions of the server.

Java Interface IServerAdministration

The ServerAdministration interface contains administrative methods that are used to control the actions of the server.

Package com.sas.iom.SASIOMCommon

IServerAdministration Description
The ServerAdministration interface contains administrative methods that are used to control the actions of the server.

`public interface IServerAdministration
extends org.omg.CORBA.Object`

Method Summary

void | ListClients ( StringSeqHolder clients , StringSeqHolder clientHosts , DateTimeSeqHolder enterTimes ) throws ( GenericError ); Return a list of the clients currently connected to this server.
void | ResetPerformanceCounters () Reset the accumulating counters to their initial values.
void | StopServer () Terminate the server.
void | DeferredStopServer () Terminate the server when all current client work is complete.
void | PauseServer () Pause the server so that it does not accept any new work.
void | ContinueServer () Resume server processing.
void | CacheFlush ()

Java Class IServerAdministrationHelper

public class IServerAdministrationHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IServerAdministration type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerAdministrationHelper

Java Class IServerAdministrationHolder

public class IServerAdministrationHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IServerAdministration type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerAdministrationHolder

CORBA Exception iomServerNotRunning

Description

Java Class iomServerNotRunning

public class iomServerNotRunning

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IServerAdministration_1_0Package.iomServerNotRunning

Java Class iomServerNotRunningHelper

public class iomServerNotRunningHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the iomServerNotRunning type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerAdministration_1_0Package.iomServerNotRunningHelper

Java Class iomServerNotRunningHolder

public class iomServerNotRunningHolder

Description
Implementing class for methods (_read, _write, _type) used to process the iomServerNotRunning type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerAdministration_1_0Package.iomServerNotRunningHolder

CORBA Exception iomServerNotPaused

Description

Java Class iomServerNotPaused

public class iomServerNotPaused

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IServerAdministration_1_0Package.iomServerNotPaused

Java Class iomServerNotPausedHelper

public class iomServerNotPausedHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the iomServerNotPaused type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerAdministration_1_0Package.iomServerNotPausedHelper

Java Class iomServerNotPausedHolder

public class iomServerNotPausedHolder

Description
Implementing class for methods (_read, _write, _type) used to process the iomServerNotPaused type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerAdministration_1_0Package.iomServerNotPausedHolder

CORBA Exception iomServerNotStoppable

Description

Java Class iomServerNotStoppable

public class iomServerNotStoppable

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IServerAdministration_1_0Package.iomServerNotStoppable

Java Class iomServerNotStoppableHelper

public class iomServerNotStoppableHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the iomServerNotStoppable type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerAdministration_1_0Package.iomServerNotStoppableHelper

Java Class iomServerNotStoppableHolder

public class iomServerNotStoppableHolder

Description
Implementing class for methods (_read, _write, _type) used to process the iomServerNotStoppable type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerAdministration_1_0Package.iomServerNotStoppableHolder

CORBA Method ListClients

Return a list of the clients currently connected to this server.

Description
Return a list of the clients currently connected to this server.

Usage

Java Method ListClients

`void` ListClients (

        StringSeqHolder clients ,
        StringSeqHolder clientHosts ,
        DateTimeSeqHolder enterTimes
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
clients | out | StringSeqHolder |
clientHosts | out | StringSeqHolder |
enterTimes | out | DateTimeSeqHolder |

Example

CORBA Method ResetPerformanceCounters

Reset the accumulating counters to their initial values.

Description
Reset the accumulating counters to their initial values.

Usage

Java Method ResetPerformanceCounters

`void` ResetPerformanceCounters ( )

Example

CORBA Method StopServer

Terminate the server.

Description

Usage

Java Method StopServer

`void` StopServer ( )

Example

CORBA Method DeferredStopServer

Terminate the server when all current client work is complete.

Description

Usage

Java Method DeferredStopServer

`void` DeferredStopServer ( )

Example

CORBA Method PauseServer

Pause the server so that it does not accept any new work.

Description

Usage

Java Method PauseServer

`void` PauseServer ( )

Example

CORBA Method ContinueServer

Resume server processing.

Description

Usage

Java Method ContinueServer

`void` ContinueServer ( )

Example

CORBA Method CacheFlush

Description

Usage

Java Method CacheFlush

`void` CacheFlush ( )

Example